# std::forward_list::reverse

From cppreference.com
< cpp‎ | container‎ | forward list

void reverse(); |  | (since C++11)

Reverses the order of the elements in the container. No references or iterators become invalidated.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Linear in the size of the container

### Example

Run this code

    #include <iostream>
    #include <forward_list>

    std::ostream& operator<<(std::ostream& ostr, const std::forward_list<int>& list)
    {
        for (auto &i : list) {
            ostr << " " << i;
        }
        return ostr;
    }

    int main()
    {
        std::forward_list<int> list = { 8,7,5,9,0,1,3,2,6,4 };

        std::cout << "before:     " << list << "\n";
        list.sort();
        std::cout << "ascending:  " << list << "\n";
        list.reverse();
        std::cout << "descending: " << list << "\n";
    }

Output:

    before:      8 7 5 9 0 1 3 2 6 4
    ascending:   0 1 2 3 4 5 6 7 8 9
    descending:  9 8 7 6 5 4 3 2 1 0

### See also

sort | sorts the elements (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/forward_list/reverse&oldid=50509"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template